Search documentation of polar_express

# PolarExpress.Schemas.WebhookDelivery (polar_express v0.1.5)

Copy Markdown View Source

WebhookDelivery

A webhook delivery for a webhook event.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.WebhookDelivery{
      created_at: DateTime.t() | nil,
      http_code: integer() | nil,
      id: String.t() | nil,
      modified_at: DateTime.t() | nil,
      response: String.t() | nil,
      succeeded: boolean() | nil,
      webhook_event: PolarExpress.Schemas.WebhookEvent.t() | nil
    }

- `created_at` - Creation timestamp of the object. Format: date-time.
- `http_code` - The HTTP code returned by the URL. `null` if the endpoint was unreachable. Nullable.
- `id` - The ID of the object. Format: uuid4.
- `modified_at` - Last modification timestamp of the object. Nullable.
- `response` - The response body returned by the URL, or the error message if the endpoint was unreachable. Nullable.
- `succeeded` - Whether the delivery was successful.
- `webhook_event` - The webhook event sent by this delivery.

## Functions

# schema_name()